import java.util.LinkedList;

public class Library {
	
	Book hamlet = new Book("Hamlet", "SH123");
	Book harryPotter = new Book("Harry Potter", "HP13.5");
	
	LinkedList<Book> books = new LinkedList<Book>();
	
	Library()
	{
		books.add(hamlet);
		books.add(harryPotter);
	}
	
	//list of books which includes hamlet and harrypotter
	//for each book, check if its time to replace
	
	/**
	 * Replace the book if it's been checked out 
	 * > 400 times.
	 * @return True if it's time to replace the book
	 */
	boolean timeToReplace(Book aBook)
	{
		if(aBook.checkOut().timesOut > 400)
		{
			return true;
		}
		
		return false;
	}
	
	/**
	 * @return A LinkedList of books that are checked out
	 */
	LinkedList<Book> checkedout()
	{
		LinkedList<Book> goneBooks = new LinkedList<Book>();
		
		for(Book aBook : this.books)
		{
			if(!aBook.isAvailable)
			{
				goneBooks.add(aBook);
			}
		}
		
		return goneBooks;
	}
	
	boolean equals(Library lib)
	{
		return false;
	}
	
	
	
	
	
	
	
	
	
	
}
